package it.eng.spago.event;

import it.eng.spago.base.RequestContainer;
import it.eng.spago.base.ResponseContainer;

/**
 * @author Zoppello
 * 
 * This class is an implementation of IEventNotifier
 * that doesn't do nothing it implements a NullObject to
 * avoid null pointer exception. 
 */
public class NullEventNotifier implements IEventNotifier{

	
	public void notifyEvent(ISpagoEvent event, RequestContainer requestContainer, ResponseContainer responseContainer) {
		//Do nothing
	}
	
}
